%global selinuxtype targeted
%global moduletype contrib
%global modulename mysql

Summary:        SELinux policy modules for MySQL and MariaDB packages
Name:           mysql-selinux
Version:        1.0.5
Release:        4%{?dist}
License:        GPLv3
URL:            https://github.com/devexp-db/mysql-selinux
Source0:        https://github.com/devexp-db/mysql-selinux/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  selinux-policy-devel
%{?selinux_requires}
Requires(post): policycoreutils

BuildArch:      noarch

%description
This package contains SELinux policy modules for MySQL and MariaDB packages.

%prep
%autosetup

%build
make

%install
install -d %{buildroot}%{_datadir}/selinux/packages
install -m 0644 %{modulename}.pp.bz2 %{buildroot}%{_datadir}/selinux/packages

%pre
%selinux_relabel_pre -s %{selinuxtype}

%post
%selinux_modules_install -s %{selinuxtype} %{_datadir}/selinux/packages/%{modulename}.pp.bz2 || :

%postun
if [ $1 -eq 0 ]; then
    %selinux_modules_uninstall -s %{selinuxtype} %{modulename} || :
fi

%posttrans
%selinux_relabel_post -s %{selinuxtype} || :

%files
%license COPYING
%defattr(-,root,root,0755)
%attr(0644,root,root) %{_datadir}/selinux/packages/%{modulename}.pp.bz2
%ghost %verify(not mode md5 size mtime) %{_sharedstatedir}/selinux/%{selinuxtype}/active/modules/200/%{modulename}

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 12 2022 Wang Guodong <gordonwwang@tencent.com> - 1.0.5-1
- package init.
